*** ./features/org.eclipse.equinox.executable/bin/gtk/sysv5/x86/icon.xpm.osr6	Wed Jan 16 00:14:58 2008
--- ./features/org.eclipse.equinox.executable/bin/gtk/sysv5/x86/icon.xpm	Wed Jan 16 00:14:58 2008
***************
*** 0 ****
--- 1,311 ----
+ /* XPM */
+ static char *ProductIcon48[] = {
+ /* columns rows colors chars-per-pixel */
+ "48 48 257 2",
+ "   c black",
+ ".  c gray100",
+ "X  c #695AE8",
+ "o  c #494991",
+ "O  c #CE92BF",
+ "+  c #E7CAE0",
+ "@  c #C88CBB",
+ "#  c #C28ABA",
+ "$  c #EAD7E8",
+ "%  c #CFA9CC",
+ "&  c #D9BCD8",
+ "*  c #B687B9",
+ "=  c #C399C7",
+ "-  c #A77DB5",
+ ";  c #BDA3CD",
+ ":  c #D8CAE3",
+ ">  c #A88DC4",
+ ",  c #9275B2",
+ "<  c #876CAA",
+ "1  c #9A83BA",
+ "2  c #7B63A3",
+ "3  c #665495",
+ "4  c #735FAD",
+ "5  c #625192",
+ "6  c #7F72A7",
+ "7  c #6D5E9E",
+ "8  c #6454A9",
+ "9  c #7769B1",
+ "0  c #493E82",
+ "q  c #7D73B6",
+ "w  c #5B4EAD",
+ "e  c #5549BA",
+ "r  c #5649BA",
+ "t  c #564ABA",
+ "y  c #5649B9",
+ "u  c #5549B8",
+ "i  c #4F44AC",
+ "p  c #5348B4",
+ "a  c #5348B3",
+ "s  c #5449B5",
+ "d  c #5247B0",
+ "f  c #5247AF",
+ "g  c #5449B3",
+ "h  c #DEDCEE",
+ "j  c #3E3698",
+ "k  c #433B9F",
+ "l  c #332C77",
+ "z  c #423A9C",
+ "x  c #4A40A8",
+ "c  c #554ABA",
+ "v  c #554AB9",
+ "b  c #5449B7",
+ "n  c #5248B1",
+ "m  c #5147AE",
+ "M  c #4E45A9",
+ "N  c #4941A0",
+ "B  c #5248AF",
+ "V  c #5148AE",
+ "C  c #5047AC",
+ "Z  c #4F46AA",
+ "A  c #5148AD",
+ "S  c #5047AB",
+ "D  c #5048AC",
+ "F  c #5047A9",
+ "G  c #4E46A7",
+ "H  c #4E45A4",
+ "J  c #4D45A4",
+ "K  c #4F47A8",
+ "L  c #4E46A5",
+ "P  c #4D45A3",
+ "I  c #3B357D",
+ "U  c #4E46A3",
+ "Y  c #554D9F",
+ "T  c #4A4389",
+ "R  c #514B90",
+ "E  c #6760A5",
+ "W  c #1D186A",
+ "Q  c #27227D",
+ "!  c #28237D",
+ "~  c #2B2681",
+ "^  c #332C89",
+ "/  c #3B368E",
+ "(  c #454097",
+ ")  c #4D46A4",
+ "_  c #4C45A1",
+ "`  c #4D46A2",
+ "'  c #4B45A0",
+ "]  c #4D46A1",
+ "[  c #4C459F",
+ "{  c #4B459E",
+ "}  c #4A449C",
+ "|  c #494498",
+ " . c #484396",
+ ".. c #4A4599",
+ "X. c #4F4AA0",
+ "o. c #6863AA",
+ "O. c #211D76",
+ "+. c #242075",
+ "@. c #2D2A7F",
+ "#. c #2D2A7B",
+ "$. c #3D398F",
+ "%. c #484496",
+ "&. c #474393",
+ "*. c #464391",
+ "=. c #45428E",
+ "-. c #4D4A9C",
+ ";. c #5754A3",
+ ":. c #5A5897",
+ ">. c #5F5D99",
+ ",. c #8582C1",
+ "<. c #9592C9",
+ "1. c #B8B6DC",
+ "2. c #070553",
+ "3. c #080755",
+ "4. c #0A0957",
+ "5. c #0C0B58",
+ "6. c #0F0D5C",
+ "7. c #100F5C",
+ "8. c #131164",
+ "9. c #141360",
+ "0. c #14135F",
+ "q. c #171567",
+ "w. c #161562",
+ "e. c #161561",
+ "r. c #181764",
+ "t. c #1A1966",
+ "y. c #1C1A64",
+ "u. c #1D1C68",
+ "i. c #1F1E6A",
+ "p. c #22216C",
+ "a. c #24236F",
+ "s. c #272571",
+ "d. c #272672",
+ "f. c #272671",
+ "g. c #292874",
+ "h. c #2A2974",
+ "j. c #2C2B77",
+ "k. c #2F2E7C",
+ "l. c #2E2D79",
+ "z. c #34337E",
+ "x. c #393786",
+ "c. c #373681",
+ "v. c #3A3984",
+ "b. c #3A3983",
+ "n. c #3D3B86",
+ "m. c #42418C",
+ "M. c #42418B",
+ "N. c #44428B",
+ "B. c #434189",
+ "V. c #45448E",
+ "C. c #45448D",
+ "Z. c #424187",
+ "A. c #434288",
+ "S. c #444287",
+ "D. c #424185",
+ "F. c #414083",
+ "G. c #484790",
+ "H. c #434286",
+ "J. c #4A4993",
+ "K. c #46458A",
+ "L. c #4D4C95",
+ "P. c #5452A0",
+ "I. c #504F98",
+ "U. c #5857A0",
+ "Y. c #525093",
+ "T. c #5B59A2",
+ "R. c #58579F",
+ "E. c #6261A9",
+ "W. c #6463AC",
+ "Q. c #6B6AB2",
+ "!. c #6B6AB1",
+ "~. c #7574B8",
+ "^. c #7F7DBD",
+ "/. c #9C9BCF",
+ "(. c #0B0B58",
+ "). c #0D0D5A",
+ "_. c #11115E",
+ "`. c #131360",
+ "'. c #21216D",
+ "]. c #24246F",
+ "[. c #2B2C77",
+ "{. c #2B2B77",
+ "}. c #2C2C77",
+ "|. c #2E2E79",
+ " X c #31317C",
+ ".X c #31317B",
+ "XX c #34347E",
+ "oX c #3C3C86",
+ "OX c #3F3F89",
+ "+X c #41428B",
+ "@X c #42428B",
+ "#X c #474790",
+ "$X c #414184",
+ "%X c #404081",
+ "&X c #4A4A94",
+ "*X c #4A4A93",
+ "=X c #4D4D96",
+ "-X c #4F4F98",
+ ";X c #505098",
+ ":X c #52529B",
+ ">X c #55559E",
+ ",X c #55559D",
+ "<X c #5758A0",
+ "1X c #5858A0",
+ "2X c #57589F",
+ "3X c #57579F",
+ "4X c #5A5AA2",
+ "5X c #5D5DA5",
+ "6X c #5F5FA7",
+ "7X c #6162AA",
+ "8X c #6161A9",
+ "9X c #6162A9",
+ "0X c #6262AA",
+ "qX c #6464AC",
+ "wX c #6262A9",
+ "eX c #6464AB",
+ "rX c #6666AE",
+ "tX c #6666AD",
+ "yX c #6868B0",
+ "uX c #6969AF",
+ "iX c #6D6DB4",
+ "pX c #6F6FB5",
+ "aX c #7373BA",
+ "sX c #7171B7",
+ "dX c #7676BC",
+ "fX c #7979BF",
+ "gX c #7777B9",
+ "hX c #8080C1",
+ "jX c #8C8CC5",
+ "kX c #9090C9",
+ "lX c #9898CB",
+ "zX c #A0A0CF",
+ "xX c #A5A5D3",
+ "cX c #ABABD6",
+ "vX c #C4C4E3",
+ "bX c #D1D1E9",
+ "nX c #E5E5F3",
+ "mX c #9FA0D1",
+ "MX c #B6C5E5",
+ "NX c #8EA6D6",
+ "BX c #90A7D7",
+ "VX c #91A9D7",
+ "CX c #95ABD8",
+ "ZX c #99AFDA",
+ "AX c #9DB2DC",
+ "SX c #A1B5DD",
+ "DX c #A5B8DE",
+ "FX c #A9BBE0",
+ "GX c #ACBDE1",
+ "HX c #B0C1E3",
+ "JX c #B4C4E4",
+ "KX c #B8C7E5",
+ "LX c #BBC9E6",
+ "PX c #AEC0E2",
+ "IX c #B2C3E3",
+ "UX c gray100",
+ "YX c None",
+ /* pixels */
+ "YXX X X X X X X X X X X X X X X X X X X X X X X X X X X X X X X X X X X X X X X X X X X X X X YX",
+ "X %X%X%XF.F.F.F.$XD.Z.Z.Z.B.B.B.N.N.=.=.=.*.*.*.&.&. . .| ....} } { { _ _ P P H G G G K S S C o ",
+ "X %X%X%X%XF.F.$XD.D.Z.Z.B.A.B.N.N.N.=.=.=.*.*.&.&.%.%.%.| | ..} { { [ _ _ ` U J L G K F Z S C o ",
+ "X %X%X%X%XF.F.F.D.D.H.Z.Z.A.B.N.N.N.C.=.=.*.*.&.&. . .%.| | ..} } { [ [ _ P P H G G K F S S C o ",
+ "X %XF.%XF.F.$XF.$XZ.Z.Z.B.A.K.Y.7 , - - 1 1 ^.^.~.aX~.q 9 6XY { } { ' _ ] P P H L G K F Z S C o ",
+ "X %XF.F.F.F.F.D.D.Z.Z.Z.K.:.1 ; % ; <.hXfXfXdXaXaXsXpXiX!.yXrXo.;.X.[ _ _ ` H H G K K F S S C o ",
+ "X F.F.F.F.F.D.D.D.Z.H.Y.1 & & 1.cXmX/.kXfXdXaXaXsXpXiXQ.yXtXeXE.6X5XP.X._ ` J L G G K F Z S C o ",
+ "X D.$XF.$XD.D.Z.Z.S.>.% + : vX1.1.cXmX/.dXaXaXsXpXiXQ.uXrXqX8X6X5XT.R.P.X.P ) H G K K S S S m o ",
+ "X D.$XD.D.D.D.D.S.6 & $ h bXvXvX1.xX/.kXfXaXsXpXiXQ.yXrXW.E.6X5X4XU.,X:XI.-.` L G G K F Z C C o ",
+ "X D.D.D.D.D.Z.H.6 & $ h h h bXvX1.cXmXkX,.dXpXiXQ.yXtXqXwX6X5XT.U.,X:XI.=X*X..` G K K Z S S m o ",
+ "X Z.D.Z.H.Z.Z.7 & $ h h nXh bXvX1.cXmXkX,.gXiXQ.uXrXW.E.6X5X4XU.,X:X-XL.J.#XV. .P G F S S C m o ",
+ "X Z.Z.Z.H.Z.R % + : bXh h h bXvX1.cX/.kXhX~.Q.yXrXqX9X6X5X4X2X,X:X;X=X*X#XV.M.OX( K Z S S C m o ",
+ "X Z.Z.Z.A.A.* & & vXvXbXbXbXvXvX1.xXlXjX^.pXuXrXeXwX6X5X4XU.,X:X-XL.*XG.V.@XOXoXb.( Z S C C V o ",
+ "X B.B.B.A.2 % % 1.1.vXvXvXvXvX1.cXzX<.,.gXiXrXW.E.6X5X4XU.,X:XI.=X*X#XV.@XOXn.b.c.x.N S S C m o ",
+ "X B.B.B.S.* % ; xX1.1.1.1.1.cXcXzXlXjX^.pXrXeX7X6X5X4XR.,X:X-XL.J.#XV.@XOXn.b.c.XX X$.S C C m o ",
+ "X N.N.N.2 O = /.mXxXcXcXcXcXxXzXlXjXhX~.uXeXE.6X5X4XU.,X:X-XL.J.#XV.M.OXn.v.c.z. X|.k.N D V f o ",
+ "X N.N.N.- @ > kX<././.mXzXzXlX<.jXhXgXuXeXE.6X5X4X1X,X:XI.L.*X#XV.m.OXn.b.c.z. Xl.j.g./ C m V o ",
+ "X N.N.R @ # ,.,.jXkXkX<.kXkXjX,.^.~.uXwXE.6X5X4X1X,X:XI.=XJ.#XC.M.OXn.v.c.z..X|.j.g.d.#.M m B o ",
+ "X =.M.< @ * fXfXhXhX,.,.,.hX^.gXpXuXqX9X6X5X4XU.,X:XI.L.*XG.V.+XOXn.b.c.z..X|.[.g.d.a.p.z V B o ",
+ "X =.N.- @ NXNXBXBXBXVXCXCXCXCXZXZXZXZXAXAXSXSXSXDXDXDXFXFXFXGXPXPXHXHXIXJXMXMXMXKXKXLXLXLXB d o ",
+ "X =.=.* @ 1 dXdXaXaXsXpXiX!.yXrXeXwX6X5X4X<X,X:XI.=X*XG.V.M.OXn.v.c.XX.X|.j.g.d.a.p.i.u.@.f d o ",
+ "X *.=.# @ ^.dXaXaXsXpXiXQ.yXrXeXwX6X5XT.U.,X:X-XL.&XG.C.m.OXoXv.c.z..X|.j.g.f.a.p.i.u.t.+.d d o ",
+ "X *.*.@ @ NXNXNXBXVXVXCXCXCXCXZXZXZXZXAXAXAXSXSXDXDXDXFXFXGXGXPXPXHXHXJXJXJXMXKXKXKXLXLXLXd n o ",
+ "X &.*.@ @ dXaXsXpXiXQ.yXtXeXE.6X5X4XU.>X:XI.L.*XG.V.m.OXoXv.c.z. X|.j.g.d.a.'.i.u.t.r.w.9.d n o ",
+ "X &.&.@ @ ~.sXpXiXQ.yXtXW.E.6X5X4X1X,X:XI.=X*X#XC.m.OXn.b.c.z. X|.[.g.f.a.p.i.u.t.r.w.9.0.n a o ",
+ "X &.&.@ @ NXNXBXBXVXVXVXCXCXCXZXZXZXZXAXAXSXSXSXDXDXDXFXFXGXGXPXPXHXIXIXJXMXMXKXKXKXLXLXLXn n o ",
+ "X %. .# @ q iXQ.yXrXW.0X6X5X4XU.>X:XI.L.*X#XV.@XOXn.b.c.XX.X|.{.g.f.].'.i.u.t.r.w.0._.7.W n a o ",
+ "X %. .* # , Q.yXtXeX7X6X5X4XU.,X:X-XL.*X#XV.@XOXn.b.c.XX Xl.{.g.d.a.p.i.u.t.r.e.0._.7.).+.a a o ",
+ "X | | - # NXNXNXBXVXVXCXCXCXCXZXZXZXAXAXAXAXSXSXDXDXDXFXFXGXGXPXPXHXHXIXJXMXMXMXKXKXLXLXLXa a o ",
+ "X | | < # - rXeX9X6X5X4XU.,X:X-XL.*X#XC.@XOXoXb.c.z. X|.j.h.s.a.'.i.u.t.r.w.9._.7.).5.4.j a p o ",
+ "X | } Y # * 9 8X6X5X4X3X,X:XI.=X*XG.V.@XOXn.v.c.XX X|.j.g.f.a.p.i.u.t.r.e.0._.7.).5.4.q.i g p o ",
+ "X } } | - # , 6X5X4XR.,X:XI.=X*XG.V.m.OXoXb.c.XX X|.j.g.f.a.p.i.u.t.r.e.9._.7.).5.4.3.~ a s s o ",
+ "X } } } 4 # - E 4XU.>X:X-X=XJ.#XV.M.OXoXb.c.XX X|.{.h.d.a.'.i.u.t.r.e.9._.7.).5.4.3.6.z p s s o ",
+ "X { { } } - # < U.,X:XI.=X*XG.V.+XOXoXb.c.z. X|.}.g.d.a.'.i.u.t.r.w.0._.7.).5.4.3.2.! g p s s o ",
+ "X [ { ' [ 4 * - E :X;XL.J.#XV.m.OXoXb.c.z..X|.j.h.f.a.'.i.u.t.r.w.9._.6.).(.4.3.2.8.k p s s s o ",
+ "X [ [ ' _ [ , * , ;XL.J.#XV.@XOXoXv.c.z..X|.{.g.f.a.p.i.u.t.r.w.`._.7.).(.4.3.2.2.^ s p s s s o ",
+ "X _ _ _ _ P ] - * 2 *X#XV.m.OXn.v.c.XX X|.j.h.f.a.p.i.u.t.r.w.`._.7.).(.4.3.2.2.Q p s s s b u o ",
+ "X ` ` ` ` ` ` 8 - - 7 V.@XOXoXv.c.XX.X|.j.g.d.a.'.i.u.t.r.w.0._.7.).5.4.3.2.2.O.x p s s s u u o ",
+ "X P P ) P U U ) 8 - - 7 OXn.v.c.XX X|.j.h.f.a.p.i.u.t.r.w.0._.7.).5.4.3.2.2.O.x s s s s b u u o ",
+ "X L L ) H ) L L L 8 1 - 7 b.c.z. X|.j.h.f.a.'.i.u.t.r.w.0._.7.).5.4.3.2.2.Q x p s s s b b u e o ",
+ "X L G L G G G G G G G , * 2 T .Xl.j.h.f.a.p.i.u.t.r.e.0._.7.).5.4.3.2.8.^ p p s s s s u u e e o ",
+ "X G G G G G G G K K M M 4 , , 3 I g.d.a.p.i.u.t.r.e.`._.7.).5.4.3.7.! k p s p s s s u u u e v o ",
+ "X K G K K K K K K Z Z M F F 4 , < 3 I p.i.u.t.r.w.9._.7.).5.4.W ~ z a p p s s b s u u u e e e o ",
+ "X F Z F F F F Z Z F F S S S S S w 9 < 2 5 0 l p.e.9.y.a.l ^ j i a p p p s s b b b u e v y r e o ",
+ "X S Z Z S Z S Z S S S S S C C C A m d V f m B m B d d n d a a a p s p s s b u u u u e v e r t o ",
+ "X S S S S S S S S S S C C C m m A V V B B B d d d n n a a a p p s p s s b u u u e e e c t r t o ",
+ "X C C C C C C C C m C A m A m f V f f B d d d n n n a a a a s s s s s u b u u u u v t t r t t o ",
+ "YXo o o o o o o o o o o o o o o o o o o o o o o o o o o o o o o o o o o o o o o o o o o o o o YX"
+ };
*** ./features/org.eclipse.equinox.executable/library/gtk/build.sh.osr6	Tue Oct 23 14:48:47 2007
--- ./features/org.eclipse.equinox.executable/library/gtk/build.sh	Wed Jan 16 00:14:58 2008
***************
*** 50,55 ****
--- 50,62 ----
  fi
  
  case $OS in
+ 	"SCO_SV")
+ 		makefile="make_sysv5.mak"
+ 		defaultOS="sysv5"
+ 		defaultOSArch="x86"
+ 		javaHome="/usr/java"
+ 		OUTPUT_DIR="../../bin/$defaultWS/$defaultOS/$defaultOSArch"
+ 		;;
  	"Linux")
  		makefile="make_linux.mak"
  		defaultOS="linux"
*** ./features/org.eclipse.equinox.executable/library/gtk/make_sysv5.mak.osr6	Wed Jan 16 00:14:58 2008
--- ./features/org.eclipse.equinox.executable/library/gtk/make_sysv5.mak	Wed Jan 16 00:14:58 2008
***************
*** 0 ****
--- 1,102 ----
+ #*******************************************************************************
+ # Copyright (c) 2000, 2005 IBM Corporation and others.
+ # All rights reserved. This program and the accompanying materials
+ # are made available under the terms of the Eclipse Public License v1.0
+ # which accompanies this distribution, and is available at 
+ # http://www.eclipse.org/legal/epl-v10.html
+ # 
+ # Contributors:
+ #     IBM Corporation - initial API and implementation
+ #     Kevin Cornell (Rational Software Corporation)
+ #     Tom Tromey (Red Hat, Inc.)
+ #*******************************************************************************
+ include ../make_version.mak
+ # Makefile for creating the GTK eclipse launcher program.
+ #
+ # This makefile expects the utility "pkg-config" to be in the PATH.
+ 
+ # This makefile expects the following environment variables set:
+ #
+ # PROGRAM_OUTPUT  - the filename of the output executable
+ # DEFAULT_OS      - the default value of the "-os" switch
+ # DEFAULT_OS_ARCH - the default value of the "-arch" switch
+ # DEFAULT_WS      - the default value of the "-ws" switch
+ # JAVA_HOME      - JAVA_HOME for jni headers      
+ #default value for PROGRAM_OUTPUT
+ ifeq ($(PROGRAM_OUTPUT),)
+   PROGRAM_OUTPUT=eclipse
+ endif
+ 
+ PROGRAM_LIBRARY=$(PROGRAM_OUTPUT)_$(LIB_VERSION).so
+ 
+ ifeq ($(DEFAULT_JAVA),)
+   DEFAULT_JAVA=DEFAULT_JAVA_JNI
+ endif
+ 
+ # Define the object modules to be compiled and flags.
+ CC=cc
+ MAIN_OBJS = eclipseMain.o
+ COMMON_OBJS = eclipseConfig.o eclipseCommon.o eclipseGtkCommon.o
+ DLL_OBJS	= eclipse.o eclipseGtk.o eclipseUtil.o eclipseJNI.o eclipseMozilla.o eclipseShm.o eclipseNix.o
+ 
+ EXEC = $(PROGRAM_OUTPUT)
+ DLL = $(PROGRAM_LIBRARY)
+ LIBS = `pkg-config --libs-only-L gtk+-2.0` -lgtk-x11-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lgdk-x11-2.0 -lpthread -ldl
+ LFLAGS = -G -Kpic -Wl,-Bexport
+ CFLAGS = -O \
+ 	-Kpic \
+ 	-DLINUX \
+ 	-DMOZILLA_FIX \
+ 	-DDEFAULT_OS="\"$(DEFAULT_OS)\"" \
+ 	-DDEFAULT_OS_ARCH="\"$(DEFAULT_OS_ARCH)\"" \
+ 	-DDEFAULT_WS="\"$(DEFAULT_WS)\"" \
+ 	-D$(DEFAULT_JAVA) \
+ 	-I. \
+ 	-I.. \
+ 	-I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/unixware \
+ 	`pkg-config --cflags gtk+-2.0`
+ 
+ all: $(EXEC) $(DLL)
+ 
+ eclipse.o: ../eclipse.c ../eclipseOS.h ../eclipseCommon.h ../eclipseJNI.h
+ 	$(CC) $(CFLAGS) -c ../eclipse.c -o eclipse.o
+ 
+ eclipseMain.o: ../eclipseUnicode.h ../eclipseCommon.h ../eclipseMain.c 
+ 	$(CC) $(CFLAGS) -c ../eclipseMain.c -o eclipseMain.o
+ 	
+ eclipseCommon.o: ../eclipseCommon.h ../eclipseUnicode.h ../eclipseCommon.c
+ 	$(CC) $(CFLAGS) -c ../eclipseCommon.c
+ 
+ eclipseGtkCommon.o: ../eclipseCommon.h ../eclipseOS.h eclipseGtkCommon.c
+ 	$(CC) $(CFLAGS) -c eclipseGtkCommon.c -o eclipseGtkCommon.o
+ 	
+ eclipseUtil.o: ../eclipseUtil.c ../eclipseUtil.h ../eclipseOS.h
+ 	$(CC) $(CFLAGS) -c ../eclipseUtil.c -o eclipseUtil.o
+ 
+ eclipseJNI.o: ../eclipseJNI.c ../eclipseCommon.h ../eclipseOS.h ../eclipseJNI.h
+ 	$(CC) $(CFLAGS) -c ../eclipseJNI.c -o eclipseJNI.o
+ 	
+ eclipseConfig.o: ../eclipseConfig.c ../eclipseConfig.h ../eclipseOS.h
+ 	$(CC) $(CFLAGS) -c ../eclipseConfig.c -o eclipseConfig.o
+ 	
+ eclipseMozilla.o: ../eclipseMozilla.c ../eclipseMozilla.h ../eclipseOS.h
+ 	$(CC) $(CFLAGS) -c ../eclipseMozilla.c -o eclipseMozilla.o
+ 
+ eclipseShm.o: ../eclipseShm.h ../eclipseUnicode.h ../eclipseShm.c
+ 	$(CC) $(CFLAGS) -c ../eclipseShm.c -o eclipseShm.o
+ 
+ eclipseNix.o: ../eclipseNix.c
+ 	$(CC) $(CFLAGS) -c ../eclipseNix.c -o eclipseNix.o
+ 
+ $(EXEC): $(MAIN_OBJS) $(COMMON_OBJS)
+ 	$(CC) -o $(EXEC) $(MAIN_OBJS) $(COMMON_OBJS) $(LIBS)
+ 	
+ $(DLL): $(DLL_OBJS) $(COMMON_OBJS)
+ 	$(CC) $(LFLAGS) -o $(DLL) $(DLL_OBJS) $(COMMON_OBJS) $(LIBS)
+ 
+ install: all
+ 	cp $(EXEC) $(DLL) $(OUTPUT_DIR)
+ 	rm -f $(EXEC) $(DLL) $(MAIN_OBJS) $(COMMON_OBJS) $(DLL_OBJS)
+ 
+ clean:
+ 	rm -f $(EXEC) $(DLL) $(MAIN_OBJS) $(COMMON_OBJS) $(DLL_OBJS)
*** ./features/org.eclipse.equinox.executable/library/win32/make_mingw.mak.osr6	Tue Oct 23 14:48:31 2007
--- ./features/org.eclipse.equinox.executable/library/win32/make_mingw.mak	Wed Jan 16 00:14:58 2008
***************
*** 28,35 ****
  endif
  PROGRAM_LIBRARY=eclipse_$(LIB_VERSION).dll
  
! # Allow for cross-compiling under linux
! OSTYPE	?= $(shell if uname -s | grep -iq cygwin ; then echo cygwin; else echo linux; fi)
  
  ifeq ($(OSTYPE),cygwin)
  CCVER   = i686
--- 28,35 ----
  endif
  PROGRAM_LIBRARY=eclipse_$(LIB_VERSION).dll
  
! # Allow for cross-compiling under sysv5
! OSTYPE	?= $(shell if uname -s | grep -iq cygwin ; then echo cygwin; else echo sysv5; fi)
  
  ifeq ($(OSTYPE),cygwin)
  CCVER   = i686
*** ./features/org.eclipse.equinox.executable/library/motif/build.sh.osr6	Tue Oct 23 14:48:52 2007
--- ./features/org.eclipse.equinox.executable/library/motif/build.sh	Wed Jan 16 00:14:58 2008
***************
*** 55,62 ****
  		OUTPUT_DIR="../../bin/$defaultWS/$defaultOS/$defaultOSArch"
  		;;
  	"Linux")
! 		makefile="make_linux.mak"
! 		defaultOS="linux"
  		defaultOSArch="x86"
  		defaultWS="motif"
  		X11_HOME=/usr/X11R6
--- 55,62 ----
  		OUTPUT_DIR="../../bin/$defaultWS/$defaultOS/$defaultOSArch"
  		;;
  	"Linux")
! 		makefile="make_sysv5.mak"
! 		defaultOS="sysv5"
  		defaultOSArch="x86"
  		defaultWS="motif"
  		X11_HOME=/usr/X11R6
*** ./features/org.eclipse.equinox.executable/library/eclipseMozilla.c.osr6	Tue Oct 23 14:48:52 2007
--- ./features/org.eclipse.equinox.executable/library/eclipseMozilla.c	Wed Jan 16 00:14:58 2008
***************
*** 20,25 ****
--- 20,141 ----
  #include <dirent.h>
  #include <sys/stat.h>
  
+ #ifdef __USLC__
+ /*
+  * scandir, alphasort - scan a directory
+  *
+  * implementation for systems that do not have it in libc
+  */
+ 
+ #include <sys/types.h>
+ #include <dirent.h>
+ #include <stddef.h>
+ 
+ /*
+  * convenience helper function for scandir's |compar()| function: 
+  * sort directory entries using strcoll(3)
+  */
+ int
+ alphasort(const void *_a, const void *_b)
+ {
+     struct dirent **a = (struct dirent **)_a;
+     struct dirent **b = (struct dirent **)_b;
+     return strcoll((*a)->d_name, (*b)->d_name);
+ }
+ 
+ 
+ #define strverscmp(a,b) strcoll(a,b) /* for now */
+ 
+ /*
+  * convenience helper function for scandir's |compar()| function: 
+  * sort directory entries using GNU |strverscmp()|
+  */
+ int
+ versionsort(const void *_a, const void *_b)
+ {
+     struct dirent **a = (struct dirent **)_a;
+     struct dirent **b = (struct dirent **)_b;
+     return strverscmp((*a)->d_name, (*b)->d_name);
+ }
+ 
+ /*
+  * The scandir() function reads the directory dirname and builds an
+  * array of pointers to directory entries using malloc(3).  It returns
+  * the number of entries in the array.  A pointer to the array of
+  * directory entries is stored in the location referenced by namelist.
+  *
+  * The select parameter is a pointer to a user supplied subroutine
+  * which is called by scandir() to select which entries are to be
+  * included in the array.  The select routine is passed a pointer to
+  * a directory entry and should return a non-zero value if the
+  * directory entry is to be included in the array.  If select is null,
+  * then all the directory entries will be included.
+  *
+  * The compar parameter is a pointer to a user supplied subroutine
+  * which is passed to qsort(3) to sort the completed array.  If this
+  * pointer is null, the array is not sorted.
+  */
+ int
+ scandir(const char *dirname,
+ 	struct dirent ***ret_namelist,
+ 	int (*select)(const struct dirent *),
+ 	int (*compar)(const struct dirent **, const struct dirent **))
+ {
+     int i, len;
+     int used, allocated;
+     DIR *dir;
+     struct dirent *ent, *ent2;
+     struct dirent **namelist = NULL;
+ 
+     if ((dir = opendir(dirname)) == NULL)
+ 	return -1;
+ 
+     used = 0;
+     allocated = 2;
+     namelist = malloc(allocated * sizeof(struct dirent *));
+     if (!namelist)
+ 	goto error;
+ 
+     while ((ent = readdir(dir)) != NULL) {
+ 
+ 	if (select != NULL && !select(ent))
+ 	    continue;
+ 
+ 	/* duplicate struct direct for this entry */
+ 	len = offsetof(struct dirent, d_name) + strlen(ent->d_name) + 1;
+ 	if ((ent2 = malloc(len)) == NULL)
+ 	    goto error;
+ 	
+ 	if (used >= allocated) {
+ 	    allocated *= 2;
+ 	    namelist = realloc(namelist, allocated * sizeof(struct dirent *));
+ 	    if (!namelist)
+ 		goto error;
+ 	}
+ 	memcpy(ent2, ent, len);
+ 	namelist[used++] = ent2;
+     }
+     closedir(dir);
+ 
+     if (compar)
+ 	qsort(namelist, used, sizeof(struct dirent *),
+ 	      (int (*)(const void *, const void *)) compar);
+ 
+     *ret_namelist = namelist;
+     return used;
+ 
+ 
+ error:
+     closedir(dir);
+ 
+     if (namelist) {
+ 	for (i = 0; i < used; i++) 
+ 	    free(namelist[i]);
+ 	free(namelist);
+     }
+     return -1;
+ }
+ #endif /* __USLC__ */
  
  /* Filter function used by fixEnvForMozilla() for finding directories
   * with a desired prefix.
*** ./features/org.eclipse.equinox.executable/.cdtproject.osr6	Tue Oct 23 14:48:41 2007
--- ./features/org.eclipse.equinox.executable/.cdtproject	Wed Jan 16 00:14:58 2008
***************
*** 100,105 ****
--- 100,119 ----
  <stopOnError>false</stopOnError>
  <useDefaultCommand>false</useDefaultCommand>
  </target>
+ <target name="sysv5-all" targetID="org.eclipse.cdt.make.MakeTargetBuilder" path="library/gtk">
+ <buildCommand>make</buildCommand>
+ <buildArguments>-f make_sysv5.mak JAVA_HOME=/usr/java</buildArguments>
+ <buildTarget>all</buildTarget>
+ <stopOnError>false</stopOnError>
+ <useDefaultCommand>false</useDefaultCommand>
+ </target>
+ <target name="clean" targetID="org.eclipse.cdt.make.MakeTargetBuilder" path="library/gtk">
+ <buildCommand>make</buildCommand>
+ <buildArguments>-f make_sysv5.mak</buildArguments>
+ <buildTarget>clean</buildTarget>
+ <stopOnError>false</stopOnError>
+ <useDefaultCommand>false</useDefaultCommand>
+ </target>
  <target name="linux-all" targetID="org.eclipse.cdt.make.MakeTargetBuilder" path="library/gtk">
  <buildCommand>make</buildCommand>
  <buildArguments>-f make_linux.mak JAVA_HOME=/usr/java/1.5</buildArguments>
*** ./features/org.eclipse.equinox.executable/.cproject.osr6	Tue Oct 23 14:48:52 2007
--- ./features/org.eclipse.equinox.executable/.cproject	Wed Jan 16 00:14:58 2008
***************
*** 108,113 ****
--- 108,127 ----
  <stopOnError>false</stopOnError>
  <useDefaultCommand>false</useDefaultCommand>
  </target>
+ <target name="sysv5-all" path="library/gtk" targetID="org.eclipse.cdt.make.MakeTargetBuilder">
+ <buildCommand>make</buildCommand>
+ <buildArguments>-f make_sysv5.mak JAVA_HOME=/usr/java</buildArguments>
+ <buildTarget>all</buildTarget>
+ <stopOnError>false</stopOnError>
+ <useDefaultCommand>false</useDefaultCommand>
+ </target>
+ <target name="clean" path="library/gtk" targetID="org.eclipse.cdt.make.MakeTargetBuilder">
+ <buildCommand>make</buildCommand>
+ <buildArguments>-f make_sysv5.mak</buildArguments>
+ <buildTarget>clean</buildTarget>
+ <stopOnError>false</stopOnError>
+ <useDefaultCommand>false</useDefaultCommand>
+ </target>
  <target name="linux-all" path="library/gtk" targetID="org.eclipse.cdt.make.MakeTargetBuilder">
  <buildCommand>make</buildCommand>
  <buildArguments>-f make_linux.mak</buildArguments>
*** ./Build-OSR6.osr6	Wed Jan 16 00:14:58 2008
--- ./Build-OSR6	Wed Jan 16 02:22:34 2008
***************
*** 0 ****
--- 1,61 ----
+ #!/bin/sh
+ #
+ HOST=i586-sco-sysv5
+ CFLAGS="-O2"
+ INSTALL=/usr/gnu/bin/install
+ NM="nm -p"
+ M4=/usr/gnu/bin/m4
+ MAKE="/usr/gnu/bin/make -d"
+ if [ "$1" = "-g" ]
+ then
+   CC="gcc -D_REENTRANT"
+   CXX="g++ -D_REENTRANT"
+   CFLAGS="$CFLAGS -Wall"
+ else
+   CC="cc -Kpthread -Kalloca"
+   CXX="CC -Kpthread -Kalloca"
+ fi
+ ANT_HOME=/usr/ant
+ JAVA_HOME=/usr/java
+ PATH=$ANT_HOME/bin:$JAVA_HOME/bin:/usr/gnu/bin:$PATH
+ export CC CXX CFLAGS NM M4 INSTALL ANT_HOME JAVA_HOME PATH MAKE
+ 
+ # why do people put spaces in file and directory names ?
+ cp build-spaces-hack 'plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library'/build.sh
+ [ -d 'plugins/org.eclipse.swt/Eclipse SWT/common/library' ] || {
+     mkdir -p 'plugins/org.eclipse.swt/Eclipse SWT/common/library'
+ }
+ [ -f 'plugins/org.eclipse.swt/Eclipse SWT/common/library/callback.h.bak' ] || {
+    cp 'plugins/org.eclipse.swt/Eclipse SWT/common/library/callback.h' \
+       'plugins/org.eclipse.swt/Eclipse SWT/common/library/callback.h.bak'
+ }
+ [ -f 'plugins/org.eclipse.swt/Eclipse SWT/common/library/callback.c.bak' ] || {
+    cp 'plugins/org.eclipse.swt/Eclipse SWT/common/library/callback.c' \
+       'plugins/org.eclipse.swt/Eclipse SWT/common/library/callback.c.bak'
+ }
+ cp callback.h-hack 'plugins/org.eclipse.swt/Eclipse SWT/common/library/callback.h'
+ cp callback.c-hack 'plugins/org.eclipse.swt/Eclipse SWT/common/library/callback.c'
+ cp build.xml-spaces-hack 'plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library'/build.xml
+ chmod 755 'plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library'/build.sh
+ chmod 755 features/org.eclipse.equinox.executable/library/gtk/build.sh
+ cp make_sysv5-spaces-hack 'plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library'/make_sysv5.mak
+ 
+ [ -d tmp/eclipse/sysv5.gtk.x86/eclipse ] || {
+     mkdir -p tmp/eclipse/sysv5.gtk.x86/eclipse
+ }
+ #[ -d plugins/org.eclipse.update.core.sysv5/os/sysv5/x86 ] || {
+ #    mkdir -p plugins/org.eclipse.update.core.sysv5/os/sysv5/x86
+ #}
+ #[ -d plugins/org.eclipse.core.resources.sysv5/os/sysv5 ] || {
+ #    mkdir -p plugins/org.eclipse.core.resources.sysv5/os/sysv5
+ #}
+ 
+ for i in plugins/*sysv5*
+ do
+     [ -d $i ] && {
+         [ -d $i/src ] || mkdir $i/src
+     }
+ done
+ 
+ rm -f mout
+ ./build -os sysv5 -ws gtk -arch x86 -compilelibs 2>&1 | tee mout
*** ./build.osr6	Tue Oct 23 14:49:43 2007
--- ./build	Wed Jan 16 00:14:58 2008
***************
*** 1,4 ****
! #!/bin/sh
  
  ANT_OPTS=-Xmx1000M; export ANT_OPTS
  os=""
--- 1,4 ----
! #!/bin/bash
  
  ANT_OPTS=-Xmx1000M; export ANT_OPTS
  os=""
***************
*** 52,58 ****
          exit 1
  fi
  
! if [ "$os-$ws-$arch" = "linux-motif-x86" ] || [ "$os-$ws-$arch" = "linux-gtk-x86" ] || [ "$os-$ws-$arch" = "linux-gtk-x86_64" ] || [ "$os-$ws-$arch" = "linux-gtk-ia64" ] || [ "$os-$ws-$arch" = "solaris-motif-sparc" ] || [ "$os-$ws-$arch" = "solaris-gtk-x86" ] || [ "$os-$ws-$arch" = "solaris-gtk-sparc" ] || [ "$os-$ws-$arch" = "aix-motif-ppc" ] || [ "$os-$ws-$arch" = "hpux-motif-PA_RISC" ] || [ "$os-$ws-$arch" = "qnx-photon-x86" ] || [ "$os-$ws-$arch" = "win32-win32-x86" ] || [ "$os-$ws-$arch" = "win32-wpf-x86" ] || [ "$os-$ws-$arch" = "linux-gtk-ppc" ] || [ "$os-$ws-$arch" = "linux-gtk-ppc64" ] || [ "$os-$ws-$arch" = "macosx-carbon-ppc" ] || [ "$os-$ws-$arch" = "hpux-motif-ia64" ] || [ "$os-$ws-$arch" = "hpux-motif-ia64_32" ] || [ "$os-$ws-$arch" = "linux-gtk-s390" ] || [ "$os-$ws-$arch" = "linux-gtk-s390x" ]
  then
                  ORIGCLASSPATH=$CLASSPATH;export ORIGCLASSPATH
                  ant -q -buildfile jdtcoresrc/compilejdtcorewithjavac.xml
--- 52,58 ----
          exit 1
  fi
  
! if [ "$os-$ws-$arch" = "sysv5-motif-x86" ] || [ "$os-$ws-$arch" = "sysv5-gtk-x86" ] || [ "$os-$ws-$arch" = "sysv5-gtk-x86_64" ] || [ "$os-$ws-$arch" = "sysv5-gtk-ia64" ] || [ "$os-$ws-$arch" = "solaris-motif-sparc" ] || [ "$os-$ws-$arch" = "solaris-gtk-x86" ] || [ "$os-$ws-$arch" = "solaris-gtk-sparc" ] || [ "$os-$ws-$arch" = "aix-motif-ppc" ] || [ "$os-$ws-$arch" = "hpux-motif-PA_RISC" ] || [ "$os-$ws-$arch" = "qnx-photon-x86" ] || [ "$os-$ws-$arch" = "win32-win32-x86" ] || [ "$os-$ws-$arch" = "win32-wpf-x86" ] || [ "$os-$ws-$arch" = "sysv5-gtk-ppc" ] || [ "$os-$ws-$arch" = "sysv5-gtk-ppc64" ] || [ "$os-$ws-$arch" = "macosx-carbon-ppc" ] || [ "$os-$ws-$arch" = "hpux-motif-ia64" ] || [ "$os-$ws-$arch" = "hpux-motif-ia64_32" ] || [ "$os-$ws-$arch" = "sysv5-gtk-s390" ] || [ "$os-$ws-$arch" = "sysv5-gtk-s390x" ]
  then
                  ORIGCLASSPATH=$CLASSPATH;export ORIGCLASSPATH
                  ant -q -buildfile jdtcoresrc/compilejdtcorewithjavac.xml
*** ./build-spaces-hack.osr6	Wed Jan 16 00:14:58 2008
--- ./build-spaces-hack	Wed Jan 16 00:14:58 2008
***************
*** 0 ****
--- 1,159 ----
+ #!/bin/sh
+ #*******************************************************************************
+ # Copyright (c) 2000, 2007 IBM Corporation and others.
+ # All rights reserved. This program and the accompanying materials
+ # are made available under the terms of the Eclipse Public License v1.0
+ # which accompanies this distribution, and is available at
+ # http://www.eclipse.org/legal/epl-v10.html
+ #
+ # Contributors:
+ #     IBM Corporation - initial API and implementation
+ #     Kevin Cornell (Rational Software Corporation)
+ #     Tom Tromey (Red Hat, Inc.)
+ #*******************************************************************************
+ 
+ cd `dirname $0`
+ 
+ if [ "${JAVA_HOME}" = "" ]; then
+ #	echo "Please set JAVA_HOME to point at a JRE."
+ 	JAVA_HOME=/usr/java
+ 	export JAVA_HOME
+ fi
+ if [ "${CC}" = "" ]; then
+ 	CC=cc
+ 	export CC
+ fi
+ 
+ # Determine which OS we are on
+ if [ "${OS}" = "" ]; then
+ 	OS=`uname -s`
+ fi
+ case $OS in
+ 	"SunOS")
+ 		SWT_OS=solaris
+ 		MAKEFILE=make_solaris.mak
+ 		;;
+ 	"FreeBSD")
+ 		SWT_OS=freebsd
+ 		MAKEFILE=make_freebsd.mak
+ 		;;
+ 	"SCO_SV")
+ 		CC="cc -Kpthread -Kalloca"
+ 		LD="$CC"
+ 		if [ "${JAVA_HOME}" = "" ]; then
+ 			JAVA_HOME=/usr/java
+ 		fi
+ 		AWT_LIB_PATH=$JAVA_HOME/jre/lib/i386
+ 		XTEST_LIB_PATH=/usr/X11R6/lib
+ 		GECKO_INCLUDES="`/usr/lib/mozilla/mozilla-config --cflags`"
+ 		GECKO_LIBS="`/usr/lib/mozilla/mozilla-config --libs xpcom nspr gfx`"
+ 		OUTPUT_DIR=../../../org.eclipse.swt.gtk.sysv5.x86
+ 		PATH=/usr/ccs/bin:/usr/gnu/bin:$PATH
+ 		export PATH
+ 		SWT_OS=sysv5
+ 		MAKEFILE=make_sysv5.mak
+ 		echo "Building SYSV5 GTK x86 version of SWT"
+ 		;;
+ 	*)
+ 		SWT_OS=`uname -s | tr -s '[:upper:]' '[:lower:]'`
+ 		MAKEFILE=make_linux.mak
+ 		;;
+ esac
+ 
+ # Determine which CPU type we are building for
+ if [ "${MODEL}" = "" ]; then
+ 	if uname -p > /dev/null 2>&1; then
+ 		MODEL=`uname -p`
+ 	else
+ 		MODEL=`uname -m`
+ 	fi
+ fi
+ case $MODEL in
+ 	"x86_64")
+ 		SWT_ARCH=x86_64
+ 		AWT_ARCH=amd64
+ 		;;
+ 	i?86)
+ 		SWT_ARCH=x86
+ 		AWT_ARCH=i386
+ 		;;
+ 	*)
+ 		SWT_ARCH=$MODEL
+ 		AWT_ARCH=$MODEL
+ 		;;
+ esac
+ 
+ # For 64-bit CPUs, we have a switch
+ if [ ${MODEL} = 'x86_64' -o ${MODEL} = 'ppc64' -o ${MODEL} = 'ia64' -o ${MODEL} = 's390x' ]; then
+ 	SWT_PTR_CFLAGS=-DSWT_PTR_SIZE_64
+ 	export SWT_PTR_CFLAGS
+ 	if [ -d /lib64 ]; then
+ 		XLIB64=-L/usr/X11R6/lib64
+ 		export XLIB64
+ 	fi
+ fi
+ 
+ if [ x`pkg-config --exists gnome-vfs-module-2.0 libgnome-2.0 libgnomeui-2.0 && echo YES` = "xYES" ]; then
+ 	echo "libgnomeui-2.0 found, compiling SWT program support using GNOME"
+ 	MAKE_GNOME=make_gnome
+ else
+ 	echo "libgnome-2.0 and libgnomeui-2.0 not found:"
+ 	echo "    *** SWT Program support for GNOME will not be compiled."
+ fi
+ 
+ if [ x`pkg-config --exists cairo && echo YES` = "xYES" ]; then
+ 	echo "Cairo found, compiling SWT support for the cairo graphics library."
+ 	MAKE_CAIRO=make_cairo
+ else
+ 	echo "Cairo not found:"
+ 	echo "    *** Advanced graphics support using cairo will not be compiled."
+ fi
+ 
+ if [ -z "${MOZILLA_INCLUDES}" -a -z "${MOZILLA_LIBS}" ]; then
+ 	if [ x`pkg-config --exists mozilla-xpcom && echo YES` = "xYES" ]; then
+ 		MOZILLA_INCLUDES=`pkg-config --cflags mozilla-xpcom`
+ 		MOZILLA_LIBS=`pkg-config --libs mozilla-xpcom`
+ 		export MOZILLA_INCLUDES
+ 		export MOZILLA_LIBS
+ 		MAKE_MOZILLA=make_mozilla
+ 	elif [ x`pkg-config --exists firefox-xpcom && echo YES` = "xYES" ]; then
+ 		MOZILLA_INCLUDES=`pkg-config --cflags firefox-xpcom`
+ 		MOZILLA_LIBS=`pkg-config --libs firefox-xpcom`
+ 		export MOZILLA_INCLUDES
+ 		export MOZILLA_LIBS
+ 		MAKE_MOZILLA=make_mozilla
+ 	else
+ 		echo "Mozilla/XPCOM or Firefox/XPCOM libraries not found:"
+ 		echo "    *** Mozilla embedding support will not be compiled."
+ 	fi
+ fi
+ 
+ # Find AWT if available
+ if [ -z "${AWT_LIB_PATH}" ]; then
+ 	if [ -d ${JAVA_HOME}/jre/lib/${AWT_ARCH} ]; then
+ 		AWT_LIB_PATH=${JAVA_HOME}/jre/lib/${AWT_ARCH}
+ 		export AWT_LIB_PATH
+ 	else
+ 		AWT_LIB_PATH=${JAVA_HOME}/jre/bin
+ 		export AWT_LIB_PATH
+ 	fi
+ fi
+ 
+ if [ -f ${AWT_LIB_PATH}/libjawt.so ]; then
+ 	MAKE_AWT=make_awt
+ else
+ 	echo "libjawt.so not found, the SWT/AWT integration library will not be compiled."
+ fi
+ 
+ # Announce our target
+ echo "Building SWT/GTK+ for $SWT_OS $SWT_ARCH"
+ if [ "x${OUTPUT_DIR}" = "x" ]; then
+ 	OUTPUT_DIR=../../../org.eclipse.swt.gtk.${SWT_OS}.${SWT_ARCH}
+ 	export OUTPUT_DIR
+ fi
+ 
+ if [ "x${1}" = "xclean" ]; then
+ 	make -f $MAKEFILE clean
+ else
+ 	make -f $MAKEFILE all $MAKE_CAIRO $MAKE_AWT $MAKE_MOZILLA ${1} ${2} ${3} ${4} ${5} ${6} ${7} ${8} ${9}
+ fi
